Download it now!
Bug 130909 - Tabbed interface: Add subscript in Calc Home Tab
Summary: Tabbed interface: Add subscript in Calc Home Tab
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:7.0.0
Keywords: needsUXEval
Depends on:
Blocks: Notebookbar-Tabbed
  Show dependency treegraph
 
Reported: 2020-02-24 18:30 UTC by Rizal Muttaqin
Modified: 2020-05-31 19:48 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
No Subsciprt in Home Tab Calc (14.33 KB, image/png)
2020-02-24 18:30 UTC, Rizal Muttaqin
Details
not resolved (76.96 KB, image/png)
2020-05-31 19:48 UTC, BogdanB
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rizal Muttaqin 2020-02-24 18:30:45 UTC
Created attachment 158148 [details]
No Subsciprt in Home Tab Calc

Description:
NB Tabbed: Add "Subscript" next to "Superscript" to Home tab in Calc

Steps to Reproduce:
1. Enable Tabbed interface (View > User Interface > Tabbed) in Calc
2. Go to Home tab
3.

Actual Results:
There isn't icon subscript on Home Tab in Calc 

Expected Results:
There is an subscript icon on Home Tab in Calc 


Reproducible: Always


User Profile Reset: No



Additional Info:

Version: 7.0.0.0.alpha0+
Build ID: a545e25314d464c190d9d504d78ec6cb67ead4fd
CPU threads: 4; OS: Linux 4.20; UI render: default; VCL: kf5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2020-02-20_15:31:00
Locale: id-ID (id_ID.UTF-8); UI-Language: en-US
Calc: threaded

&

Versi: 6.3.4.2
ID Build: 1:6.3.4-0ubuntu0.18.04.1~lo2
Thread CPU: 4; OS: Linux 4.20; Render UI: baku; VCL: kde5; 
Locale: id-ID (id_ID.UTF-8); Bahasa-UI: id-ID
Calc: threaded
Comment 1 Heiko Tietze 2020-02-26 09:42:02 UTC
For what exactly do you need subscript in Calc?
Comment 2 Rizal Muttaqin 2020-02-26 11:11:54 UTC
(In reply to Heiko Tietze from comment #1)
> For what exactly do you need subscript in Calc?

I have checked WPS Spreadsheet and MS Office Excel actually there is no subscript nor superscript button in Home tab. It looks limp Calc provide superscript only.

The choice either remove superscript completely or add subscript.
Comment 3 Commit Notification 2020-02-28 07:16:00 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/f1b01ab9705d0ae95ce637b997ed8bf82cc92f90

tdf#130909 Tabbed interface calc hide subsuperscription

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Rizal Muttaqin 2020-03-22 00:54:16 UTC
The superscript icons still not available

Version: 7.0.0.0.alpha0+
Build ID: 17e712ccc8fa93d57672916e3c8adaa8febc9f8c
CPU threads: 4; OS: Linux 4.20; UI render: default; VCL: kf5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2020-03-13_16:53:06
Locale: id-ID (id_ID.UTF-8); UI-Language: en-US
Calc: threaded
Comment 5 andreas_k 2020-05-06 21:27:59 UTC
should work with patch https://gerrit.libreoffice.org/c/core/+/93597
Comment 6 BogdanB 2020-05-31 19:48:09 UTC
Created attachment 161473 [details]
not resolved

Version: 7.0.0.0.beta1+
Build ID: 2891e91a513520d68ea2b8c59c14335861a15253
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
Calc: threaded

This bug is not solved.

There is not superscript or subscript either.